#app {
  height: 100%;
}

.fantastic-admin-home {
  position: absolute;
  z-index: 10000;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  user-select: none;
  color: #736477;
  background-color: snow;
}

.fantastic-admin-home .loading {
  height: 40px;
  width: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.fantastic-admin-home .loading .square {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 20px;
  width: 20px;
}

.fantastic-admin-home .loading .square::before {
  content: "";
  width: 10px;
  height: 10px;
  border-radius: 15%;
  border: 3px solid #8c858f;
  animation: square-to-dot-animation 2s linear infinite;
}

.fantastic-admin-home .loading .square:nth-child(1)::before {
  animation-delay: calc(150ms * 1);
}

.fantastic-admin-home .loading .square:nth-child(2)::before {
  animation-delay: calc(150ms * 2);
}

.fantastic-admin-home .loading .square:nth-child(3)::before {
  animation-delay: calc(150ms * 3);
}

.fantastic-admin-home .loading .square:nth-child(4)::before {
  animation-delay: calc(150ms * 4);
}

@keyframes square-to-dot-animation {
  15%,
  25% {
    border-radius: 100%;
    width: 0;
    height: 0;
    margin: 5px;
    border-width: 5px;
  }

  40% {
    border-radius: 15%;
    width: 10px;
    height: 10px;
    margin: initial;
    border-width: 3px;
  }
}

.fantastic-admin-home .text {
  position: relative;
  font-size: 24px;
  margin-top: 20px;
}

.fantastic-admin-home .text::after {
  content: '…';
  position: absolute;
  padding-left: 5px;
}

.block-loading {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 9990;

  /* background-color: var(--ba-bg-color); */
}

.block-loading .block-loading-box {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.block-loading .block-loading-box-warp {
  width: 80px;
  height: 80px;
}

.block-loading .block-loading-box-warp .block-loading-box-item {
  width: 33.333333%;
  height: 33.333333%;
  background: #409eff;
  float: left;
  animation: block-loading-animation 1.2s infinite ease;
  border-radius: 1px;
}

.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(7) {
  animation-delay: 0s;
}

.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(4),
.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(8) {
  animation-delay: 0.1s;
}

.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(1),
.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(5),
.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(9) {
  animation-delay: 0.2s;
}

.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(2),
.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(6) {
  animation-delay: 0.3s;
}

.block-loading .block-loading-box-warp .block-loading-box-item:nth-child(3) {
  animation-delay: 0.4s;
}

@keyframes block-loading-animation {
  0%,
  70%,
  100% {
    transform: scale3d(1, 1, 1);
  }

  35% {
    transform: scale3d(0, 0, 1);
  }
}
